API ReferenceapicommunityDELETE /v1/posts/{post_id}/like

DELETE /v1/posts/\{post_id\}/like

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • post_id (string) required

Request body

{
  "type": "object",
  "properties": {
    "author_id": {
      "type": "string",
      "minLength": 1
    },
    "brand_id": {
      "type": "string",
      "minLength": 1
    }
  },
  "required": [
    "author_id",
    "brand_id"
  ]
}

Responses

200 Post unliked

{
  "type": "object",
  "properties": {
    "unliked": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "unliked"
  ]
}

404 Not liked

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

429 Rate limit exceeded

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X DELETE https://community.platform.loop.health/v1/posts/{post_id}/like \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'